Add/Remove Programs overview

Add/Remove Programs helps you manage programs on your computer. It prompts you through the steps necessary to add a new program, or to change or remove an existing program.

You can use Add/Remove Programs to add Windows 2000 components you chose not to include in the original installation (such as networking options or Indexing Service files), programs (such as Microsoft Excel or Word), or Windows updates and new features from the Internet.

Open Add/Remove Programs in Control Panel.

Note

Related Topics


Add a program from a CD or floppy disk

To add a program from a CD or floppy disk

  1. Open Add/Remove Programs in Control Panel.
  2. Click Add New Programs, and then click CD or Floppy.
  3. Follow the instructions on your screen.

Notes

  • When using Add/Remove Programs, you can install only programs that were written for Windows operating systems.
  • When you open a program, or try to perform a task within a program, you may see a dialog box indicating that the program is being installed or updated by Windows Installer. This can occur if your administrator has set up the program to install this way, if program files have been deleted or corrupted, or if you are trying to use a program feature that was not installed during setup. If the program was installed from a CD-ROM, or if you are no longer connected to the network, Windows Installer may ask you for the CD-ROM. When Windows Installer finishes, the program or feature you are trying to use starts.


Add a program from a network

To add a program from a network

  1. Open Add/Remove Programs in Control Panel.
  2. Click Add New Programs.

    3. If your computer is connected to a network, the programs you are authorized to add are displayed at the bottom of the screen. If your network administrator has organized programs into categories, you may need to select a different option in Category to see the program you want to add.

  3. Select the program you want to add, and then click Add.
  4. Follow the instructions on your screen.

Notes

  • When you open a program, or try to perform a task within a program, you may see a dialog box indicating that the program is being installed or updated by Windows Installer. This can occur if your administrator has set up the program to install this way, if program files have been deleted or corrupted, or if you are trying to use a program feature that was not installed during setup. If the program was installed from a CD-ROM, or if you are no longer connected to the network, Windows Installer may ask you for the CD-ROM. When Windows Installer finishes, the program or feature you are trying to use starts.


Change or remove a program

To change or remove a program

  1. Open Add/Remove Programs in Control Panel.
  2. Click Change or Remove Programs, then click the program you want to change or remove.
  3. Click the appropriate button:
    • To change a program, click Change/Remove or Change.
    • To remove a program, click Change/Remove or Remove.

Caution

  • When you click Change/Remove, some programs may be removed without prompting you further.

Notes

  • When using Add/Remove Programs, you can remove only programs that were written for Windows operating systems. For other programs, check the documentation to see if other files (such as .ini files) should be removed.
  • When you open a program, or try to perform a task within a program, you may see a dialog box indicating that the program is being installed or updated by Windows Installer. This can occur if your administrator has set up the program to install this way, if program files have been deleted or corrupted, or if you are trying to use a program feature that was not installed during setup. If the program was installed from a CD-ROM, or if you are no longer connected to the network, Windows Installer may ask you for the CD-ROM. When Windows Installer finishes, the program or feature you are trying to use starts.
  • You can sort programs by selecting different options in Sort by.


Add features from Microsoft Windows Update

To add features from Microsoft Windows Update

  1. Open Add/Remove Programs in Control Panel.
  2. Click Add New Programs, and then click Windows Update.
  3. Follow the instructions on the Web site to locate and add new Windows features, system updates, and device drivers.

Note


Add or remove a Windows 2000 component

To add or remove a Windows 2000 component

  1. Open Add/Remove Programs in Control Panel.
  2. Click Add/Remove Windows Components.
  3. Follow the instructions in the Windows Components wizard.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • Certain Windows Components require configuration before they can be used. If you installed one or more of these components, but did not configure them, when you click Add/Remove Windows Components, a list of components that need to be configured is displayed. To configure a component, click Configure, and then follow the instructions on the screen. To add a new component, click Components, and follow the instructions in the Windows Components wizard.